Skip to main content
POST

Authorizations

Authorization
string
header
required

a valid bearer token

Path Parameters

projectId
string<uuid>
required

Body

application/json
authProvider
enum<string>
required

The authentication provider to use for the connection

Available options:
SNOWFLAKE,
REDSHIFT,
BIGQUERY,
DATABRICKS
Examples:

"SNOWFLAKE"

"REDSHIFT"

"BIGQUERY"

"DATABRICKS"

authType
enum<string>
required

The authentication type to use for the connection

Available options:
KEY_PAIR,
PASSWORD,
NONE,
PERSONAL_ACCESS_TOKEN,
OAUTH_CLIENT_CREDENTIALS
Examples:

"KEY_PAIR"

"PASSWORD"

"NONE"

"PERSONAL_ACCESS_TOKEN"

"OAUTH_CLIENT_CREDENTIALS"

name
string
required

The name of the default data warehouse connection

Minimum string length: 1
Example:

"DWH-Connection-1"

platformConnectionType
enum<string>
required

The platform type of date warehouse connection to create

Available options:
DWH,
COMPONENT_BASIC,
CLOUD_PLATFORM_CREDENTIALS
Example:

"DWH"

Response

Default Data Warehouse Connection created